Subject: Re: CCL:Computation Resource Requirement.

From: Kadir Diri <kadir~at~visual1.chem.pitt.edu>
Date: Wed, 08 Dec 2004 14:06:21 -0500

Hi! What you can do to get an idea about the timings on a single cpu is 
the following: do a smaller calculation (smaller basis set and/or 
smaller molecule). Then scale the timings accordingly for larger basis 
sets and more atoms. In Hartree-Fock, the 2 electron integrals will 
scale as N^4 but the integral transformation will scale as N^5.
As to the case with multiple CPU`s, it depends on many factors, for 
example on how good the code that you use is. Also, the speed will vary 
> from one architecture to another. It is also important how the code 
works, i.e. whether it uses shared memory on a multiple cpu machine or 
whether it runs across many nodes. There are probably many other 
factors, like the speed and the configuration of the network, so it is 
not very easy to answer that part of your question, but you will be able 
to figure out the answer after a few test calculations.
kadir

Pijush Ghosh wrote:

> CCL Users,
>       being new to the field of computational quantum mechanics, i 
> have a basic question on the requirement of the resources for this 
> type of computation.  Can anybody  cite any reference where i can get 
> some relation between number of processors and time required  with 
> that of number of atoms in a system , basis set used, etc.
>     In my system of Hydroxyapatite- polymer I have the following details:
>
> atom                 number
>
> Calcium              20
> Phosphorous      12
> Oxygen              54
> Hydrogen           10
> Carbon                 3
>
>
> Basis set -            6-31+G**
> Method -              HF (Hartree Fock)
>
>
> can somebody  give idea on  processor-hour required. All my 
> simulations are run on NCSA machines.
>
>
> All suggesions and information appreciated in advance.
>
>
> Pijush Ghosh.
> NDSU.
>
>
>
> -= This is automatically added to each message by the mailing script =-
> To send e-mail to subscribers of CCL put the string CCL: on your 
> Subject: line
> and send your message to:  CHEMISTRY~at~ccl.net
>
> Send your subscription/unsubscription requests to: 
> CHEMISTRY-REQUEST~at~ccl.net HOME Page: http://www.ccl.net   | Jobs Page: 
> http://www.ccl.net/jobs
> If your mail is bouncing from CCL.NET domain send it to the maintainer:
> Jan Labanowski,  jlabanow~at~nd.edu (read about it on CCL Home Page)
> -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
>
>
>

---

From: Pijush Ghosh <pijush.ghosh{at}ndsu.nodak.edu>
Date: Wed, 08 Dec 2004 13:14:47 -0600

I thank you all for your valuable suggestions on my issue of 
coumputation resource requirement. I think they are of big help to me.

Pijush.

Kadir Diri wrote:

> Hi! What you can do to get an idea about the timings on a single cpu 
> is the following: do a smaller calculation (smaller basis set and/or 
> example on how good the code that you use is. Also, the speed will 
> vary from one architecture to another. It is also important how the 
> code works, i.e. whether it uses shared memory on a multiple cpu 
> machine or whether it runs across many nodes. There are probably many 
> other factors, like the speed and the configuration of the network, so 
> it is not very easy to answer that part of your question, but you will 
> be able to figure out the answer after a few test calculations.
> kadir
>
>
> Pijush Ghosh wrote:
>
>> CCL Users,
>> and send your message to:  CHEMISTRY{at}ccl.net
>>
>> CHEMISTRY-REQUEST{at}ccl.net HOME Page: http://www.ccl.net   | Jobs 
>> Page: http://www.ccl.net/jobs
>> Jan Labanowski,  jlabanow{at}nd.edu (read about it on CCL Home Page)